package totallynotmalware;

import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

import totallynotmalware.i18n.Language;

class TestLanguage {
	
	Language en;
	
	@BeforeEach
	void setUp() throws Exception {
		en=new Language("en");
	}

	@Test
	void testGet() {
		assertEquals(en.get("title"), "Totally Not Malware");
		assertEquals(en.get("button"), "Th-thanks");
	}
	
	@Test
	void testGetFallback() {
		assertEquals(en.get("unknown.key"), "unknown.key");
	}

}
